﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CompanyStructureConsole.Data;

namespace CompanyStructureConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            using (CompanyContext db = new CompanyContext())
            {
                while (true)
                {
                    Console.Clear();
                    ListCommands(db);
                    Console.ReadLine();
                }
            }
        }

        static void ListCommands(CompanyContext db)
        {
            Console.WriteLine("1 - Project Commands");
            Console.WriteLine("2 - Employee Commands");
            Console.WriteLine("3 - Team Commands");
            Console.WriteLine("0 - Exit");
            Console.WriteLine();
            Console.Write("Enter your command:");
            string input = Console.ReadLine();

            int selection = -1;
            if (int.TryParse(input, out selection))
            {
                if (selection == 0)
                {
                    Environment.Exit(0);
                }
                else if (selection == 1)
                {
                    Menu.ProjectMenu.ListProjectCommands(db);
                }
                else if (selection == 2)
                {
                    Menu.EmployeeMenu.ListEmployeeCommands(db);
                }
                else if (selection == 3)
                {
                    Menu.TeamMenu.ListTeamCommands(db);
                }
            }
        }

    }
}
